Bug 443956 - authconfig print force print utf8 even if system locale is not UTF-8
authconfig print force print utf8 even if system locale is not UTF-8
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: authconfig (Show other bugs)
All Linux
low Severity medium
: rc
: ---
Assigned To: Tomas Mraz
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2008-04-24 07:44 EDT by JoungKyun Kim
Modified: 2008-07-03 03:08 EDT (History)
0 users

See Also:
Fixed In Version: authconfig-5.3.21-3.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-07-03 03:08:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch that fixed this problem (882 bytes, patch)
2008-04-24 07:44 EDT, JoungKyun Kim
no flags Details | Diff

  None (edit)
Description JoungKyun Kim 2008-04-24 07:44:24 EDT
Description of problem:

If system locale is not UTF-8 (for example LANG=ko_KR.euckr), authconfig force 
print stdout or stderr message with UTF-8. So on no utf8 locale system, 
authconfig message is broken.

Version-Release number of selected component (if applicable):

authconfig 5.3.12-2.el5

How reproducible:

changed system locale from UTF-8 to no UTF-8
(example: ko_KR.UTF-8 -> ko_KR.euckr)

Steps to Reproduce:
1. echo $LANG ( result ko_KR.UTF-8 )
2. run LANG="ko_KR.euckr" authconfig --help | iconv -f ECU-KR -t UTF-8
3. failed iconv (UTF-8 to UTF-8)
Actual results:

print broken message. only print UTF-8 message.

Expected results:

print message with no UTF-8 charset

Additional info:

attached patch that fixed this problem.
Comment 1 JoungKyun Kim 2008-04-24 07:44:24 EDT
Created attachment 303614 [details]
patch that fixed this problem
Comment 2 Tomas Mraz 2008-04-24 08:21:54 EDT
The authconfig package which is in queue for RHEL-5.2 should already fix this.

Please try authconfig-5.3.21-3.el5 when it is released as part of RHEL-5.2 and
report here if it fixed the problem.
Comment 3 JoungKyun Kim 2008-07-02 19:09:35 EDT
I checked on 5.2 and previous problems is fixed. Thanks.

Note You need to log in before you can comment on or make changes to this bug.